RTextArea.RTextAreaMutableCaretEvent
Date: 2017-02-11

org.fife.ui.rtextarea

## Class RTextArea.RTextAreaMutableCaretEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.CaretEvent
    - - org.fife.ui.rtextarea.RTextAreaBase.RTAMouseListener
      - - org.fife.ui.rtextarea.RTextArea.RTextAreaMutableCaretEvent

- All Implemented Interfaces:
    java.awt.event.FocusListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.io.Serializable, java.util.EventListener
  Enclosing class:
    RTextArea

      protected class RTextArea.RTextAreaMutableCaretEvent
      extends RTextAreaBase.RTAMouseListener

  Modified from `MutableCaretEvent` in `JTextComponent` so that mouse events get fired when the user is selecting text with the mouse as well. This class also displays the popup menu when the user right-clicks in the text area.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.fife.ui.rtextarea.RTextAreaBase.RTAMouseListener

      `dot, mark`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RTextArea.RTextAreaMutableCaretEvent(RTextArea textArea)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `focusGained(java.awt.event.FocusEvent e)`
    `void` | `focusLost(java.awt.event.FocusEvent e)`
    `void` | `mouseDragged(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent e)`
    `void` | `mouseReleased(java.awt.event.MouseEvent e)`

    - ### Methods inherited from class org.fife.ui.rtextarea.RTextAreaBase.RTAMouseListener

      `getDot, getMark, mouseClicked, mouseEntered, mouseExited, mouseMoved`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RTextArea.RTextAreaMutableCaretEvent

          protected RTextArea.RTextAreaMutableCaretEvent(RTextArea textArea)

  - ### Method Detail

    - #### focusGained

          public void focusGained(java.awt.event.FocusEvent e)

      Specified by:
        `focusGained` in interface `java.awt.event.FocusListener`
      Overrides:
        `focusGained` in class `RTextAreaBase.RTAMouseListener`

    - #### focusLost

          public void focusLost(java.awt.event.FocusEvent e)

      Specified by:
        `focusLost` in interface `java.awt.event.FocusListener`
      Overrides:
        `focusLost` in class `RTextAreaBase.RTAMouseListener`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent e)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseDragged` in class `RTextAreaBase.RTAMouseListener`

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent e)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `RTextAreaBase.RTAMouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent e)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `RTextAreaBase.RTAMouseListener`